# Integration

### REST API

All our services are available through our RESTful API, which works with any language that supports HTTP/cURL, such as **Node**, **PHP**, **Python**, .**NET**, **Java**, and much more.

You can also integrate the API through any third-party platforms that support HTTP requests, including [Zapier](/documentation/sdks/third-party-integrations/zapier.md), [Salesforce](/documentation/sdks/third-party-integrations/salesforce.md), [WordPress](/documentation/sdks/third-party-integrations/zapier.md#zapier-templates), and **Microsoft Power Automate**.

You may also use the [ComplyCube OpenApi ](#openapi-specification)specification to automatically generate code in almost any language, using free or paid tools such as [OpenAPI Generator.](https://openapi-generator.tech)

### Web SDK

ComplyCube officially maintains and supports a [Web SDK for Frontend JavaScript](/documentation/sdks/web-integrations/web-sdk-quick-guide.md), enabling you to embed identity verification and compliance workflows directly into your web applications.

### Mobile SDKs

For a mobile-native experience, ComplyCube offers SDKs for [iOS](/documentation/sdks/mobile-integrations/ios-sdk.md), [Android](/documentation/sdks/legacy-integration/android-sdk.md), [React Native](/documentation/sdks/legacy-integration/react-native-sdk.md), and [Flutter](/documentation/sdks/legacy-integration/flutter-sdk.md). A [ComplyCube app](https://portal.complycube.com/developers/mobile) is also available to help you explore the SDK in action.

### Hosted solution

[ComplyCube Flow](/documentation/sdks/web-integrations/hosted-solution-quick-guide.md) is a secure, fully hosted, and customizable KYC and identity verification page that allows you to verify customers with minimal code. It supports branded, conversion-optimized journeys delivered via URL redirects and works across devices.

### Client libraries

ComplyCube provides officially supported client libraries for [Node.js](https://www.npmjs.com/package/@complycube/api), [PHP](https://packagist.org/packages/complycube/complycube-php), [.NET](https://www.nuget.org/packages/Complycube/), and [<mark style="color:blue;">Python</mark>](https://pypi.org/project/complycube/), enabling seamless integration of backend applications with your existing systems and infrastructure.

{% tabs %}
{% tab title="Node.js" %}

```bash
# Install using npm
npm install --save @complycube/api

# Install using Yarn
yarn add @complycube/api
```

{% endtab %}

{% tab title="Python" %}

```bash
# Install using pip
pip install complycube
```

{% endtab %}

{% tab title="PHP" %}

```bash
# Install using composer
composer install complycube/complycube-php
```

{% endtab %}

{% tab title=".NET" %}

```powershell
# Install using package manager
Install-Package Complycube

# Install using .NET CLI
dotnet add package Complycube
```

{% endtab %}
{% endtabs %}

### Postman

If you’re looking to quickly get familiar with the API or test its capabilities, we recommend using the [ComplyCube Postman collection](/documentation/integration-resources/postman.md).

### OpenAPI specification

ComplyCube maintains [OpenAPI](https://swagger.io/specification/) (v3) specifications for the latest version of the API.

{% file src="/files/wWwHPv4st2iXiSlq7lFF" %}
ComplyCube OpenAPI v3 Specification
{% endfile %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.complycube.com/documentation/api-reference/integration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
